name: bpnet-gpu
channels:
- bioconda
- pytorch
- conda-forge
- defaults
dependencies:
- python=3.6.13

# genomics
- pybedtools>=0.7.10
- bedtools>=2.27.1
- pybigwig>=0.3.10
- pysam>=0.14.0
- genomelake>=0.1.4

- pytorch  # optional for data-loading
- cython
- h5py>=2.7.0
- numpy

- pandas>=0.23.0
- fastparquet
- python-snappy

- nb_conda=2.2.1
- pip
- pip:
  - git+https://github.com/kundajelab/DeepExplain.git

  #Synchronized packages for Jupyter Notebooks
  - ipykernel==5.3.0
  - ipython==7.15.0
  - ipywidgets==7.5.1
  - jupyter_client==6.1.3
  - jupyter_core==4.6.3
  - markdown==3.2.2
  - nbconvert==5.6.1
  - nbformat==5.0.6
  - notebook==6.0.3
  - papermill==2.1.1
  - nbclient==0.4.0

  # ML & numerics
  - tensorflow-gpu==1.7 #for gpu

  # bpnet package
  - .[dev,extras]  # install the local basepair package. All the other required pip packages are specified in the setup.py
